import { RibbonGroup } from './../index';
import { RibbonGroupDirection, RibbonGroupWrapSize, RibbonGroupDialogLauncher } from './../index';
import { AfterViewInit, ElementRef, OnInit, OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import { BaseElement } from './smart.element';
import * as i0 from "@angular/core";
export { RibbonGroupDirection, RibbonGroupWrapSize, RibbonGroupDialogLauncher, ElementRenderMode } from './../index';
export { Smart } from './smart.element';
export { RibbonGroup } from './../index';
export declare class RibbonGroupComponent extends BaseElement implements OnInit, AfterViewInit, OnDestroy, OnChanges {
    constructor(ref: ElementRef<RibbonGroup>);
    private eventHandlers;
    nativeElement: RibbonGroup;
    /** @description Creates the component on demand.
     * @param properties An optional object of properties, which will be added to the template binded ones.
     */
    createComponent(properties?: {}): any;
    /** @description Determines the label of the ribbon group. */
    get label(): string;
    set label(value: string);
    /** @description Determines the icon of the ribbon group. */
    get icon(): string;
    set icon(value: string);
    /** @description Determines the class of the ribbon group. */
    get cssClass(): string;
    set cssClass(value: string);
    /** @description Determines the ribbon items of the ribbon group. */
    get ribbonItems(): any;
    set ribbonItems(value: any);
    /** @description Determines the direction of the ribbon group. */
    get direction(): RibbonGroupDirection | string;
    set direction(value: RibbonGroupDirection | string);
    /** @description Determines the settings of the dialog launcher of the ribbon group. */
    get dialogLauncher(): RibbonGroupDialogLauncher;
    set dialogLauncher(value: RibbonGroupDialogLauncher);
    /** @description Determines the size, below which the ribbon group will be wrapped. */
    get wrapSize(): RibbonGroupWrapSize | string;
    set wrapSize(value: RibbonGroupWrapSize | string);
    get isRendered(): boolean;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RibbonGroupComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RibbonGroupComponent, "smart-ribbon-group, [smart-ribbon-group]", ["smart-ribbon-group"], { "label": "label"; "icon": "icon"; "cssClass": "cssClass"; "ribbonItems": "ribbonItems"; "direction": "direction"; "dialogLauncher": "dialogLauncher"; "wrapSize": "wrapSize"; }, {}, never>;
}
